aboutsummaryrefslogtreecommitdiffstats
path: root/core/ppp/pon
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-01-27 10:34:05 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-27 10:34:05 +0000
commit40bcc59a5674985645909ac447c153c1ad6c1b22 (patch)
tree690830aae69bb5fbf03ec9e57caa6d9d4aae34dd /core/ppp/pon
parent1fa7bc47fc4327eb4846e92e3126fc8d8a5500de (diff)
downloadaports-40bcc59a5674985645909ac447c153c1ad6c1b22.tar.gz
aports-40bcc59a5674985645909ac447c153c1ad6c1b22.tar.bz2
aports-40bcc59a5674985645909ac447c153c1ad6c1b22.tar.xz
core/ppp: new aport
Diffstat (limited to 'core/ppp/pon')
-rw-r--r--core/ppp/pon32
1 files changed, 32 insertions, 0 deletions
diff --git a/core/ppp/pon b/core/ppp/pon
new file mode 100644
index 0000000000..36885050b5
--- /dev/null
+++ b/core/ppp/pon
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+case "$1" in
+ -*) echo "
+Usage: pon [provider] [arguments]
+
+If you specify one argument, a PPP connection will be started using
+settings from the appropriate file in the /etc/ppp/peers/ directory, and
+any additional arguments supplied will be passed as extra arguments to
+pppd.
+"
+ exit 0
+ ;;
+esac
+
+if [ -z "$1" -a ! -f /etc/ppp/peers/provider ]; then
+ echo "
+Please configure /etc/ppp/peers/provider or use a command line argument to
+use another file in /etc/ppp/peers/ directory.
+"
+ exit 1
+fi
+
+if [ "$1" -a ! -f "/etc/ppp/peers/$1" ]; then
+ echo "
+The file /etc/ppp/peers/$1 does not exist.
+"
+ exit 1
+fi
+
+exec /usr/sbin/pppd call ${@:-provider}
+